    Return one or all of the options for the current optimization
    method.

get_method_opt(optname=None)
optname - str, optional

This is a helper function since the optimization options can also be read directly using the object returned by `get_method` .

>>> get_method_opt('maxfev') is None True
>>> mopts = get_method_opt() >>> mopts['maxfev'] is None True

PARAMETERS

The parameter for this function is:

Parameter
Definition
optname
If not given, a dictionary of all the options are returned. When given, the individual value is returned.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023